Skip to content
Newer
Older
100644 41 lines (39 sloc) 1.89 KB
6695e48 @sferik Update gemspec [ci skip]
authored Aug 14, 2011
1 # encoding: utf-8
db7e577 @sferik Load version from library since we're no longer testing against JRuby
authored Aug 17, 2011
2 require File.expand_path('../lib/rails_admin/version', __FILE__)
1948e93 Moved rails_admin app into a gem and a Rails 3 Engine
hurrycane authored Aug 21, 2010
3
505440a @sferik Update gemspec
authored May 12, 2011
4 Gem::Specification.new do |gem|
5 # If you add a dependency, please maintain alphabetical order
989cca8 @bbenezech update nested form dependency to fix deeply nested forms design flaw.
bbenezech authored Mar 30, 2012
6 gem.add_dependency 'bbenezech-nested_form', '~> 0.0.6'
bc884cb @bbenezech externalize jquery-ui assets to jquery-ui-rails
bbenezech authored Mar 12, 2012
7 gem.add_dependency 'sass-rails', '~> 3.1'
8 gem.add_dependency 'bootstrap-sass', '~> 2.0'
9 gem.add_dependency 'jquery-ui-rails', '~> 0.2.2'
849898f @sferik Loosen gem dependencies
authored Oct 15, 2011
10 gem.add_dependency 'builder', '~> 3.0'
11 gem.add_dependency 'coffee-rails', '~> 3.1'
5f8a5ca @sferik Alphabetize dependencies and use pessimistic version constraint
authored Nov 9, 2011
12 gem.add_dependency 'haml', '~> 3.1'
d62249b @bbenezech dependency update [ci skip]
bbenezech authored Dec 26, 2011
13 gem.add_dependency 'jquery-rails', '>= 1.0'
2c63152 @sferik Make dependency specifications consistent
authored Dec 21, 2011
14 gem.add_dependency 'kaminari', '~> 0.12'
15 gem.add_dependency 'rack-pjax', '~> 0.5'
0c914b9 @sferik Upgrade to new factory_girl 3 syntax
authored Apr 12, 2012
16 gem.add_dependency 'rails', '~> 3.1'
5f8a5ca @sferik Alphabetize dependencies and use pessimistic version constraint
authored Nov 9, 2011
17 gem.add_dependency 'remotipart', '~> 1.0'
849898f @sferik Loosen gem dependencies
authored Oct 15, 2011
18 gem.add_development_dependency 'capybara'
5f8a5ca @sferik Alphabetize dependencies and use pessimistic version constraint
authored Nov 9, 2011
19 gem.add_development_dependency 'carrierwave'
531756f @mshibuya Making ORM switchable, and test passes for ActiveRecord
mshibuya authored Mar 19, 2012
20 gem.add_development_dependency 'database_cleaner'
849898f @sferik Loosen gem dependencies
authored Oct 15, 2011
21 gem.add_development_dependency 'devise'
5f8a5ca @sferik Alphabetize dependencies and use pessimistic version constraint
authored Nov 9, 2011
22 gem.add_development_dependency 'dragonfly'
0c914b9 @sferik Upgrade to new factory_girl 3 syntax
authored Apr 12, 2012
23 gem.add_development_dependency 'factory_girl'
849898f @sferik Loosen gem dependencies
authored Oct 15, 2011
24 gem.add_development_dependency 'generator_spec'
5f8a5ca @sferik Alphabetize dependencies and use pessimistic version constraint
authored Nov 9, 2011
25 gem.add_development_dependency 'launchy'
bca4261 @bbenezech carrierwave/dragonfly/paperclip fully supported
bbenezech authored Nov 8, 2011
26 gem.add_development_dependency 'mini_magick'
849898f @sferik Loosen gem dependencies
authored Oct 15, 2011
27 gem.add_development_dependency 'rspec-rails'
bacfe92 @mshibuya Added specs for Mongoid adapter
mshibuya authored Mar 2, 2012
28 gem.add_development_dependency 'timecop'
827212e @bbenezech Readme
bbenezech authored Sep 26, 2011
29 gem.authors = ["Erik Michaels-Ober", "Bogdan Gaza", "Petteri Kaapa", "Benoit Benezech"]
6695e48 @sferik Update gemspec [ci skip]
authored Aug 15, 2011
30 gem.description = %q{RailsAdmin is a Rails engine that provides an easy-to-use interface for managing your data.}
505440a @sferik Update gemspec
authored May 13, 2011
31 gem.email = ['sferik@gmail.com', 'bogdan@cadmio.org', 'petteri.kaapa@gmail.com']
32 gem.files = Dir['Gemfile', 'LICENSE.md', 'README.md', 'Rakefile', 'app/**/*', 'config/**/*', 'lib/**/*', 'public/**/*']
1543595 @bbenezech Readme, url updates
bbenezech authored Oct 5, 2011
33 gem.homepage = 'https://github.com/sferik/rails_admin'
505440a @sferik Update gemspec
authored May 13, 2011
34 gem.name = 'rails_admin'
35 gem.require_paths = ['lib']
36 gem.required_rubygems_version = Gem::Requirement.new('>= 1.3.6')
37 gem.summary = %q{Admin for Rails}
38 gem.test_files = Dir['spec/**/*']
db7e577 @sferik Load version from library since we're no longer testing against JRuby
authored Aug 17, 2011
39 gem.version = RailsAdmin::VERSION
1948e93 Moved rails_admin app into a gem and a Rails 3 Engine
hurrycane authored Aug 21, 2010
40 end
Something went wrong with that request. Please try again.